#ifndef SBK_KDIALOGJOBUIDELEGATEWRAPPER_H
#define SBK_KDIALOGJOBUIDELEGATEWRAPPER_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <kdialogjobuidelegate.h>

namespace PySide { class DynamicQMetaObject; }

class KDialogJobUiDelegateWrapper : public KDialogJobUiDelegate
{
public:
    KDialogJobUiDelegateWrapper(const KDialogJobUiDelegateWrapper &) = delete;
    KDialogJobUiDelegateWrapper& operator=(const KDialogJobUiDelegateWrapper &) = delete;
    KDialogJobUiDelegateWrapper(KDialogJobUiDelegateWrapper &&) = delete;
    KDialogJobUiDelegateWrapper& operator=(KDialogJobUiDelegateWrapper &&) = delete;

    KDialogJobUiDelegateWrapper();
    KDialogJobUiDelegateWrapper(::QFlags<KJobUiDelegate::Flag> flags, ::QWidget * window);
    void childEvent(::QChildEvent * event) override;
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent(::QEvent * event) override;
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool setJob(::KJob * job) override;
    void setWindow(::QWidget * window) override;
    void showErrorMessage() override;
    void slotWarning(::KJob * job, const ::QString & message) override;
    void timerEvent(::QTimerEvent * event) override;
    ~KDialogJobUiDelegateWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[11] = {false, false, false, false, false, false, false, false, false, false, false};
};

#endif // SBK_KDIALOGJOBUIDELEGATEWRAPPER_H
