#ifndef SBK_KNOTIFICATIONJOBUIDELEGATEWRAPPER_H
#define SBK_KNOTIFICATIONJOBUIDELEGATEWRAPPER_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <knotificationjobuidelegate.h>

namespace PySide { class DynamicQMetaObject; }

class KNotificationJobUiDelegateWrapper : public KNotificationJobUiDelegate
{
public:
    KNotificationJobUiDelegateWrapper(const KNotificationJobUiDelegateWrapper &) = delete;
    KNotificationJobUiDelegateWrapper& operator=(const KNotificationJobUiDelegateWrapper &) = delete;
    KNotificationJobUiDelegateWrapper(KNotificationJobUiDelegateWrapper &&) = delete;
    KNotificationJobUiDelegateWrapper& operator=(KNotificationJobUiDelegateWrapper &&) = delete;

    KNotificationJobUiDelegateWrapper(::QFlags<KJobUiDelegate::Flag> flags = {KJobUiDelegate::AutoHandlingDisabled});
    void childEvent(::QChildEvent * event) override;
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent(::QEvent * event) override;
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool setJob(::KJob * job) override;
    void showErrorMessage() override;
    void slotWarning(::KJob * job, const ::QString & message) override;
    void timerEvent(::QTimerEvent * event) override;
    ~KNotificationJobUiDelegateWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[10] = {false, false, false, false, false, false, false, false, false, false};
};

#endif // SBK_KNOTIFICATIONJOBUIDELEGATEWRAPPER_H
